> For the complete documentation index, see [llms.txt](https://docs.keyfax.biz/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.keyfax.biz/integrations/apis/soap/error-handling.md).

# Error Handling

There are a number of possible reasons whereby interaction with the Keyfax Webservices (KeyfaxWS) fails to operate correctly. These are listed below alongside the recovery action that should be taken:

| **Error**                           | **Cause**                                                                                                                                                                                                                                                           | **Recovery action**                                                                                                                                                                                   |
| ----------------------------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| Call to **Startup** method fails    | If the URL is incorrect or the webservices are not responding, this will probably take the form of an application or timeout error.                                                                                                                                 | To be handled by portal or caller.                                                                                                                                                                    |
| Call to **Startup** method fails    | The call has succeeded (i.e. contact has been made with the webservice) but another unexpected error (described in the ErrorText node) has been encountered.                                                                                                        | To be handled by portal or caller. It is recommended that the content of the ErrorText node is logged but not presented to end users as this will probably contain technical/diagnostic information.  |
| Diagnostic Script fails             | Once Keyfax has been launched there is a possibility, for various reasons, that the script may crash at which point the main Keyfax windows will display a (configurable) message, e.g. Sorry, an error has occurred. Please report this for further investigation. | A button can be configured alongside the text; typically, this will be configured to return to the portal or caller.                                                                                  |
| Call to **GetResults** method fails | If the URL is incorrect or the webservices are not responding, this will probably take the form of an application or timeout error.                                                                                                                                 | To be handled by portal or caller.                                                                                                                                                                    |
| Call to **GetResults** method fails | The call has succeeded (i.e. contact has been made with the webservice) but another unexpected error (described in the ErrorText node) has been encountered.                                                                                                        | To be handled by portal or caller. It is recommended that the contents of the ErrorText node is logged but not presented to end users as this will probably contain technical/diagnostic information. |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.keyfax.biz/integrations/apis/soap/error-handling.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
